﻿
/*GENERAL STYLES*/

html, body {
}

body {
    padding-top: 50px;
}

a {
    text-decoration: none;
}

.mTop30 {
    margin-top: 30px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

.nowrap {
    white-space: nowrap;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}


/*MAIN BANNER STYLES*/

.navbar-brand-image{
    background-image: url(images/logo/Marker_23x32.png);
    background-position-y:center;
    background-repeat:no-repeat;
    padding-left: 35px;
}

.navbar-navagation, .navbar-om-colors {
    background-color: #0a58ca;
    box-shadow: rgb(128, 128, 128) 0px 2px;
}

.navbar-navagation .navbar-brand, .nav-link, .nav-link:visited {
    color: #fff;
}

.nav-link:hover, .nav-link:focus {
    color: white;
}

/*HOME PAGE STYLES*/
.large-onemap-logo {
    background-image: url(images/logo/Logo_300x186.png);
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: bottom;
    width: 100%;
    height: 250px;
}

.large-act-logo{
    background-image: url(images/ACT_Logo_253x132.png);
    background-repeat:no-repeat;
    background-position-x:center;
    background-position-y: bottom;
    width:100%;
    height:250px;
}

.onemap-tagline{
    width:100%;
    text-align:center;
    color:#696969;
    font-size:medium;
}

.home-banner{
    background-color:white;
    width:100%;
    margin-bottom:60px; 
}



/*LOGIN PAGE STYLES*/

.loginForm{
    margin-top:30px;
}



/*ERROR LOG PAGE STYLES*/

#errorLogGrid .k-grid-content{
    height:450px !important;
}

#errorLogGrid > .k-datepicker, 
#errorLogGrid > .k-datetimepicker {
    width: -webkit-fill-available !important;
}

.marginBottom10 {
    margin-bottom: 10px;
}

.marginBottom0 {
    margin-bottom: 0px !important;
}

#errorLogGrid > .datepicker {
    background-color: #fff !important;
}

.paddingTop10 {
    padding-top: 10px;
}

#inspectionfields .control-label {
    text-align: right;
}

.marginBottom5 {
    margin-bottom: 5px;
}

.stickyLink {
    position: sticky;
    position: -webkit-sticky;
    top: -20px;
    z-index: 100;
    background-color: white;
    padding: 10px 0;
}

.k-overlay {
    opacity: .5 !important;
}

.disclaimerTextHeader {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 5px;
}

.width50 {
    width: 50%;
    min-width: 50px;
}

.standOutNote {
    background-color: lightblue;
    border-radius: 5px;
    margin-top: 10px;
    padding: 5px;
    text-align: center;
}

.errorMessage {
    display: none;
    color: red;
    border: 3px solid red;
    padding: 10px;
    margin: 1px 1px 5px 1px;
    border-radius: 5px;
}

#pac-input {
    background-color: #fff;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    margin: 7px 0 0 12px;
    padding: 4px 11px 4px 13px;
    text-overflow: ellipsis;
    width: 400px;
}

#pac-input:focus {
    border-color: #4d90fe;
}


/*Bootstrap Update 1/20/2026*/
h2 {
    font-size: 1.9rem;
}

.pageHeader { /*h1, h2, h3 {*/
    margin-top: 20px;
    margin-bottom: 10px;
}

:root {
    --bs-font-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-border-color: #999;
}

.mb-4 {
    margin-bottom: .5rem !important;
}

.form-label {
    font-weight: bold;
}

.form-control {
    line-height: 1.5; /*default 1.5 (1 is closer to current style)*/
}

.input-group .form-control {
    margin-bottom: 0;
}

.input-group {
    margin-bottom: 5px;
}

.card-primary > .card-header {
    color: #fff;
    background-color: #0a58ca;
    border-color: #0a58ca;
}

.btn-form-fix-sm {
    padding: 5px 8px !important; /* for use with control-form-sm */
}

#userQueryBoxClear {
    background-color: #d9d9d9;
}

#userQueryBoxClear:hover {
    background-color: #cccccc;
    color: red;
}

#userAppsQueryBox, #userQueryBoxClear {
    border-color: #d9d9d9;
}

.accordion-button {
	background-color: white!important;
}

.fixed-table {
    table-layout: fixed;
    width: 100%;
}

.k-combobox .k-input { /* trying to normalize height for these searchable dropdowns  */
    height: calc(1.5em + 0.5rem);
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
}

.k-combobox .k-dropdown-wrap {
    min-height: calc(1.5em + 0.5rem);
    /*border-color: var(--bs-border-color);*/
}

.k-datepicker .k-input { /* kendo datepicker */
    height: calc(1.5em + 0.5rem);
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.25;
}

.k-picker-wrap .k-icon {
    vertical-align: 0;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

dl {
    display: grid;
    grid-template-columns: max-content auto;
}

dt {
    grid-column-start: 1;
}

dd {
    grid-column-start: 2;
}

.alert {
    padding: 8px 16px; /*normally 16px for some reason - while regular card-header is 8px*/
    margin-bottom: 0;
}

.select2 { /* on Views/Admin/RepDashboard.cshtml */
    margin-bottom: 5px !important;
}